Re: [PATCH] Add option --path to allow to run tests with real systems. You must install git before running this test.

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Hi,

On Thu, 6 Dec 2007, Nguyễn Thái Ngọc Duy wrote:

> Signed-off-by: Nguyễn Thái Ngọc Duy <pclouds@xxxxxxxxx>
> ---
>  On Thu, Dec 06, 2007 at 10:15:05AM +0700, Nguyen Thai Ngoc Duy wrote:
>  > On Dec 6, 2007 2:32 AM, Junio C Hamano <gitster@xxxxxxxxx> wrote:
>  > > This is wrong, isn't it?  $path may point at the freshly built but not
>  > > installed git executable, but it reports --exec-path the location that
>  > > git-foo and friends are to be _eventually_ installed, not the location
>  > > they are sitting after built, being tested, waiting to be installed.
>  > >
>  > Yes, forgot to mention you must do "make install" first :)
>  > 
> 
>  Perhaps a check to remind people to 'make install' like this?

Well, the whole point of "make test" is to be sure that it works before 
installing it.

How about something completely different?

-- snipsnap --

 t/test-lib.sh |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

diff --git a/t/test-lib.sh b/t/test-lib.sh
index 90b6844..ee87b83 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -296,7 +296,18 @@ test_done () {
 
 # Test the binaries we have just built.  The tests are kept in
 # t/ subdirectory and are run in trash subdirectory.
-PATH=$(pwd)/..:$PATH
+
+# Test libexec, while we are at it
+
+test -d test-bin || mkdir test-bin || error "t/test-bin/ could not be created"
+for file in ../git ../git-sh-setup ../test-*
+do
+	target=test-bin/"$(basename "$filename")"
+	test -x "$file" && test ! -x "$target" &&
+		ln -s ../"$file" test-bin/
+done
+
+PATH=$(pwd)/test-bin:$PATH
 GIT_EXEC_PATH=$(pwd)/..
 GIT_TEMPLATE_DIR=$(pwd)/../templates/blt
 GIT_CONFIG=.git/config

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]

  Powered by Linux